
Name:		scanmem
Version:	0.13
Release:	%mkrel 2
Summary:	Simple interactive debugging utility
Group:		Development/Other
License:	GPLv3
Source0:	http://scanmem.googlecode.com/files/%{name}-%{version}.tar.gz
URL:		http://code.google.com/p/scanmem/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	readline-devel

%description
scanmem is a simple interactive debugging utility, used to locate the address
of a variable in an executing process. This can be used for the analysis or
modification of a hostile process on a compromised machine, reverse
engineering, or as a "pokefinder" to cheat at video games.

%files
%defattr(-, root, root, -)
%doc ChangeLog README TODO COPYING
%doc %{_mandir}/man1/scanmem.1*
%{_bindir}/scanmem

#------------------------------------------------------------------------------

%package gui
Summary:	A GUI front-end GameConqueror for scanmem
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	gksu

%description gui
This package contains a GUI for scanmem, this one is called GameConqueror.

%files gui
%defattr(-, root, root, -)
%doc %{_mandir}/man1/gameconqueror.1*
%{_bindir}/gameconqueror
%{_datadir}/applications/GameConqueror.desktop
%{_datadir}/gameconqueror/GameConqueror.py
%{_datadir}/gameconqueror/GameConqueror.xml
%{_datadir}/gameconqueror/backend.py
%{_datadir}/gameconqueror/consts.py
%{_datadir}/gameconqueror/hexview.py
%{_datadir}/gameconqueror/misc.py
%{_datadir}/gameconqueror/GameConqueror_128x128.png
%{_datadir}/gameconqueror/GameConqueror_72x72.png
%{_datadir}/pixmaps/GameConqueror_128x128.png
%{_datadir}/pixmaps/GameConqueror_72x72.png

#------------------------------------------------------------------------------

%prep
%setup -q %{name}-%{version}

%build
%configure --enable-gui
%{__make} %{?_smp_mflags} CFLAGS='%{optflags}'


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}



%changelog

* Fri May 10 2013 david.david (MLO Team) <david.david> 0.13-2.mga3
+ Revision: 2
- rebuild package with correct option for gui

	+ Please first uninstall older versions scanmem or scanmem-gui (0.13-1)

* Tue Apr 30 2013 david.david (MLO Team) <david.david> 0.13-1.mga3
+ Revision: 1
+ New version: 0.13
- disable option: --enable-gui on %%configure

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 0.12-2.mga3
+ Revision: 2
- correcting "spec" file

* Tue Apr 23 2013 david.david (MLO Team) <david.david> 0.12-1.mga3
+ New version: 0.12
- add Conflicts: scanmem-gui
- disable option: --enable-gui on %%configure

* Thu Apr 11 2013 david.david (MLO Team) <david.david> 0.07-9.1.mga3
+ Rebuild package for Mageia 3 (Core)

* Wed Apr 10 2013 david.david (MLO Team) <david.david> 0.07-9.mga2
+ Import package for Mageia 2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-3
- Rebuild for GCC 4.3

* Thu Dec 27 2007 Jakub Hrozek <jhrozek@redhat.com> 0.07-2
- Refactored spec to match Fedora packaging guidelines

* Tue Jun 05 2007 Dag Wieers <dag@wieers.com> - 0.07-1 - 5269+/dag
- Updated to release 0.07.

* Sun Apr 15 2007 Dag Wieers <dag@wieers.com> - 0.06-1
- Updated to release 0.06.

* Sun Mar 04 2007 Dag Wieers <dag@wieers.com> - 0.05-1
- Updated to release 0.05.

* Tue Jan 30 2007 Dag Wieers <dag@wieers.com> - 0.04-1
- Initial package. (using DAR)
